import { defineConfig } from 'astro/config';
import starlight from '@astrojs/starlight';

// https://astro.build/config
export default defineConfig({
	integrations: [
		starlight({
			title: 'Konstantin V. Suslov',
			social: {
				//github: 'https://github.com/withastro/starlight',
			},
			// Set English as the default language for this site.
			defaultLocale: 'root',
			locales: {
			  // English docs in `src/content/docs/en/`
			  root: {
				label: 'English',
				lang: 'en', // lang is required for root locales
			  },
			  // Simplified Chinese docs in `src/content/docs/zh-cn/`
			  'ru': {
				label: 'Русский',
				lang: 'ru',
			  }
			},
			sidebar: [
				{
					label: 'About',
					items: [
						// Each item here is one entry in the navigation menu.
						{ label: 'Curriculum Vitae (CV)', link: '/about/cv/' },
					],
				},
				{
					label: 'Publications',
					items: [
						// Each item here is one entry in the navigation menu.
						{ label: 'Publications', link: '/publications/all/' },
					],
				},
				{
					label: 'Links',
					items: [
						// Each item here is one entry in the navigation menu.
						{ label: 'Interesting Links', link: '/publications/links/' },
					],
				},
			],
		}),
	],
});
